# This file created by conda-build 24.1.2
# meta.yaml template originally from:
# /feedstock/recipe, last modified Fri Jul 26 14:36:41 2024
# ------------------------------------------------

package:
  name: conda
  version: 24.7.1
source:
  sha256: bba5ba84425a76b738a433511bfaf81420548b869429ef5c45019e526869e87b
  url: https://github.com/conda/conda/releases/download/24.7.1/conda-24.7.1.tar.gz
build:
  always_include_files:
    - bin/activate
    - bin/conda
    - bin/deactivate
  number: '0'
  script: /croot/conda_1722004615129/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_p/bin/python
    -m pip install . --no-deps --no-build-isolation -vv && /croot/conda_1722004615129/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_p/bin/python
    -m conda init --install
  string: py312hd43f75c_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - bzip2 1.0.8 h998d150_6
    - c-ares 1.19.1 h998d150_0
    - ca-certificates 2024.7.2 hd43f75c_0
    - curl 8.7.1 h6ac735f_0
    - expat 2.6.2 h419075a_0
    - gdbm 1.18 hf59d7a7_4
    - gettext 0.21.0 h0cce8dc_1
    - git 2.45.2 pl5340h2443ffd_0
    - icu 73.1 h419075a_0
    - krb5 1.20.1 h2e2fba8_1
    - libcurl 8.7.1 hfa2bbb0_0
    - libedit 3.1.20230828 h998d150_0
    - libev 4.33 hfd63f10_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libnghttp2 1.57.0 hb788212_0
    - libssh2 1.11.0 hfa2bbb0_0
    - libstdcxx-ng 11.2.0 h1234567_1
    - libxml2 2.10.4 h6097fa9_2
    - ncurses 6.4 h419075a_0
    - openssl 3.0.14 h998d150_0
    - pcre2 10.42 hcfaa891_1
    - perl 5.34.0 h998d150_2
    - readline 8.2 h998d150_0
    - tk 8.6.14 h987d8db_0
    - xz 5.4.6 h998d150_1
    - zlib 1.2.13 h998d150_1
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - boltons 23.0.0 py312hd43f75c_0
    - brotli-python 1.0.9 py312h419075a_8
    - bzip2 1.0.8 h998d150_6
    - ca-certificates 2024.7.2 hd43f75c_0
    - certifi 2024.7.4 py312hd43f75c_0
    - charset-normalizer 3.3.2 pyhd3eb1b0_0
    - editables 0.3 py312hd43f75c_0
    - expat 2.6.2 h419075a_0
    - hatch-vcs 0.3.0 py312hd43f75c_1
    - hatchling 1.21.1 py312hd43f75c_0
    - idna 3.7 py312hd43f75c_0
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libffi 3.4.4 h419075a_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h998d150_0
    - menuinst 2.1.1 py312hd43f75c_0
    - ncurses 6.4 h419075a_0
    - openssl 3.0.14 h998d150_0
    - packaging 24.1 py312hd43f75c_0
    - pathspec 0.10.3 py312hd43f75c_0
    - pip 24.0 py312hd43f75c_0
    - pluggy 1.0.0 py312hd43f75c_1
    - pysocks 1.7.1 py312hd43f75c_0
    - python 3.12.4 h8edadfe_1
    - readline 8.2 h998d150_0
    - requests 2.32.3 py312hd43f75c_0
    - ruamel.yaml 0.17.21 py312h998d150_0
    - setuptools 69.5.1 py312hd43f75c_0
    - setuptools-scm 8.1.0 py312hd43f75c_0
    - sqlite 3.45.3 h998d150_0
    - tk 8.6.14 h987d8db_0
    - tqdm 4.66.4 py312h42ac6d5_0
    - trove-classifiers 2023.10.18 py312hd43f75c_0
    - tzdata 2024a h04d1e81_0
    - urllib3 2.2.2 py312hd43f75c_0
    - wheel 0.43.0 py312hd43f75c_0
    - xz 5.4.6 h998d150_1
    - zlib 1.2.13 h998d150_1
  run:
    - archspec >=0.2.3
    - boltons >=23.0.0
    - charset-normalizer
    - conda-libmamba-solver >=23.11.0
    - conda-package-handling >=2.2.0
    - distro >=1.5.0
    - frozendict >=2.4.2
    - jsonpatch >=1.32
    - menuinst >=2
    - packaging >=23.0
    - platformdirs >=3.10.0
    - pluggy >=1.0.0
    - pycosat >=0.6.3
    - python >=3.12,<3.13.0a0
    - requests >=2.28.0,<3
    - ruamel.yaml >=0.11.14,<0.19
    - setuptools >=60.0.0
    - tqdm >=4
    - truststore >=0.8.0
    - zstandard >=0.19.0
  run_constrained:
    - conda-build >=3.27
    - conda-content-trust >=0.1.1
    - conda-env >=2.6
test:
  downstreams:
    - conda-smithy
  imports:
    - conda
    - conda_env
  requires: null
about:
  description: 'Conda is an open source package management system and environment

    management system for installing multiple versions of software packages

    and their dependencies and switching easily between them. It works on

    Linux, OS X and Windows, and was created for Python programs but can

    package and distribute any software.

    '
  dev_url: https://github.com/conda/conda
  doc_url: https://docs.conda.io/projects/conda/en/stable/
  home: https://docs.conda.io/
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE
  summary: OS-agnostic, system-level binary package and environment manager.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 3f798bc5-0542-4779-a487-6c84de47b48e
  remote_url: git@github.com:AnacondaRecipes/conda-feedstock.git
  sha: ed73286e131127f1adc5bed94a0934e92c5aad01
  skip-lints:
    - missing_pip_check
    - python_build_tool_in_run
